$:.unshift(File.join(File.dirname(__FILE__), 'lib'))

require 'rubygems'
require 'grimlock'

Gem::Specification.new do |s|
	s.name = "#{Grimlock::APP_NAME}"
	s.version = Grimlock::VERSION
	s.homepage = "http://www.hammackj.com/projects/grimlock"
	s.summary = "#{Grimlock::APP_NAME}"
	s.description = "#{Grimlock::APP_NAME} is a experiment in implementing security tools in ruby"
	s.license = "BSD"

	s.author = "Jacob Hammack"
	s.email = "jacob.hammack@hammackj.com"

	s.files	= Dir['[A-Z]*'] + Dir['lib/**/*'] + ['grimlock.gemspec']
	s.bindir = "bin"
	s.executables = "#{Grimlock::APP_NAME}"
	s.require_paths = ["lib"]
	s.has_rdoc = 'yard'
	s.extra_rdoc_files = ["README.markdown", "LICENSE", "NEWS.markdown", "TODO.markdown"]

	s.required_rubygems_version = ">= 1.6.0"
end
